local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)
local S = minetest.get_translator(mod_name)

pmb_lights = {}

dofile(mod_path .. "/system.lua")
dofile(mod_path .. "/torch.lua")
dofile(mod_path .. "/lantern.lua")

if minetest.get_modpath("aom_settings") then
    aom_settings.register_setting("performance_torch_particles", 10, "Torch particle count", "server")
    aom_settings.register_setting("performance_torch_particles_max", 10, "Torch max particle spawners", "server")
end
